
Redmine - Defect #26615

"schema_migrations_table_name is deprecated" warning during redmine:plugins:migrate

2017-08-03 02:42 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

$ bin/rails redmine:plugins:migrate

Migrating polls (Polls plugin)...

DEPRECATION WARNING: schema_migrations_table_name is deprecated and will be removed from Rails 5.2

 (called from current_version at /Users/somebody/redmines/redmine-trunk/lib/redmine/plugin.rb:487)

DEPRECATION WARNING: schema_migrations_table_name is deprecated and will be removed from Rails 5.2

 (called from migrated at /Users/somebody/redmines/redmine-trunk/lib/redmine/plugin.rb:493)

DEPRECATION WARNING: schema_migrations_table_name is deprecated and will be removed from Rails 5.2

 (called from migrated at /Users/somebody/redmines/redmine-trunk/lib/redmine/plugin.rb:493)

Related issues:

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

Associated revisions

Revision 16962 - 2017-08-31 17:57 - Toshi MARUYAMA

fix "schema_migrations_table_name is deprecated" warning during redmine:plugins:migrate (#26615)

Contributed by Go MAEDA.

History

#1 - 2017-08-03 02:42 - Go MAEDA

- Related to Feature #23630: Migrate to Rails 5.2 added

#2 - 2017-08-03 03:24 - Go MAEDA

- File fix-schema_migrations_table_name-warning.diff added

Here is a patch.

#3 - 2017-08-31 17:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (4.0.0)

- Resolution set to Fixed

Committed in trunk r16962, thanks.

Files

fix-schema_migrations_table_name-warning.diff 1.01 KB 2017-08-03 Go MAEDA
